diff options
Diffstat (limited to 'meta-openstack')
| -rw-r--r-- | meta-openstack/recipes-support/postgresql/postgresql/postgresql | 11 |
1 files changed, 10 insertions, 1 deletions
diff --git a/meta-openstack/recipes-support/postgresql/postgresql/postgresql b/meta-openstack/recipes-support/postgresql/postgresql/postgresql index 74f7e2d..5a34ec0 100644 --- a/meta-openstack/recipes-support/postgresql/postgresql/postgresql +++ b/meta-openstack/recipes-support/postgresql/postgresql/postgresql | |||
| @@ -55,7 +55,16 @@ stop () | |||
| 55 | if [ $? -eq 0 ]; then | 55 | if [ $? -eq 0 ]; then |
| 56 | echo "done." | 56 | echo "done." |
| 57 | else | 57 | else |
| 58 | echo "failed." | 58 | if [ -f /etc/postgresql/postmaster.pid -a "$datadir" != "/etc/postgresql" ] ; then |
| 59 | # Special case for transition | ||
| 60 | sudo -u postgres /usr/bin/pg_ctl stop -w -D /etc/postgresql -m fast -s | ||
| 61 | fi | ||
| 62 | if ! pidof ${DAEMON} > /dev/null; then | ||
| 63 | echo "done." | ||
| 64 | else | ||
| 65 | echo "failed." | ||
| 66 | exit 1 | ||
| 67 | fi | ||
| 59 | fi | 68 | fi |
| 60 | } | 69 | } |
| 61 | 70 | ||
